import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const mcpConfigView = await client.mcpConfigs.retrieve('id');
console.log(mcpConfigView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
mcp_config_view = client.mcp_configs.retrieve(
"id",
)
print(mcp_config_view.id)curl --request GET \
--url https://api.runloop.ai/v1/mcp-configs/{id} \
--header 'Authorization: Bearer <token>'
{
"id": "<string>",
"name": "<string>",
"endpoint": "<string>",
"allowed_tools": [
"<string>"
],
"auth_mechanism": {
"type": "<string>",
"key": "<string>"
},
"create_time_ms": 123,
"description": "<string>",
"custom_headers": [
{
"name": "<string>",
"secret": "<string>",
"value": "<string>"
}
]
}[Beta] Get an McpConfig.
[Beta] Get a specific McpConfig by its unique identifier.
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const mcpConfigView = await client.mcpConfigs.retrieve('id');
console.log(mcpConfigView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
mcp_config_view = client.mcp_configs.retrieve(
"id",
)
print(mcp_config_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the McpConfig.
Response
Successfully retrieved the McpConfig.
An McpConfig defines a configuration for connecting to an upstream MCP (Model Context Protocol) server. It specifies the target endpoint and which tools are allowed.
The unique identifier of the McpConfig.
The human-readable name of the McpConfig. Unique per account.
The target MCP server endpoint URL (e.g., 'https://mcp.example.com').
Glob patterns specifying which tools are allowed from this MCP server (e.g., ['github.search_', 'github.get_'] or ['*'] for all tools).
How the primary credential is applied to upstream requests.
Show child attributes
Show child attributes
Creation time of the McpConfig (Unix timestamp in milliseconds).
Optional description for this MCP configuration.
Additional headers applied to upstream requests after the credential. Secret-backed entries reference the secret by 'sec_' id; values are never returned.
Show child attributes
Show child attributes
Was this page helpful?
